aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorGuangxiong Lin <[email protected]>2023-10-21 08:35:54 +0800
committerGuangxiong Lin <[email protected]>2023-10-21 08:35:54 +0800
commit378ac7e341295fbc185d31d73ba99ede70116037 (patch)
tree622dcd415a198a064610d68e87047579ab0ccb76 /scripts
parent11d9d45594abd2c9d75d6bb98d1ed3a25e461826 (diff)
downloaddotfiles-378ac7e341295fbc185d31d73ba99ede70116037.tar.gz
dotfiles-378ac7e341295fbc185d31d73ba99ede70116037.tar.bz2
dotfiles-378ac7e341295fbc185d31d73ba99ede70116037.zip
Add navi init script
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/init-navi.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/scripts/init-navi.sh b/scripts/init-navi.sh
new file mode 100755
index 0000000..196d689
--- /dev/null
+++ b/scripts/init-navi.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+if ! command -v navi &> /dev/null; then
+ echo 'navi is not installed. Failed.'
+ exit 1
+fi
+
+cheats_path="$(navi info cheats-path)/personal"
+
+if [ ! -d "$cheats_path" ]; then
+ git clone https://git.gxlin.org/navi-cheats "$cheats_path"
+fi
+
+cd "$cheats_path" && git pull --rebase